using System.Threading.Tasks;
using DiplomovaPrace.Contracts.Products.InputModels;
using DiplomovaPrace.Contracts.Products.ViewModels;

namespace DiplomovaPrace.Web.Admin.Services
{
	public interface IProductService
	{
		Task RequestProductsAsync();

		Task<ProductDto> GetProductAsync(int id);

		Task CreateProductAsync(ProductIM inputModel);

		Task UpdateProductAsync(ProductDto inputModel);

		Task<bool> DeleteProductAsync(int id);

		Task<bool> DeleteProductImageAsync(int id);
	}
}
